package cd.casic.module.machine.entity;

import cd.casic.module.machine.enums.MachineProxyStatus;
import com.baomidou.mybatisplus.annotation.*;
import cd.casic.module.machine.enums.MachineInfoStatus;
import cd.casic.module.machine.enums.MachineProxyType;
import jakarta.validation.Valid;
import lombok.*;

import java.io.Serializable;
import java.util.Date;

/**
 * 机器代理实体类
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("machine_proxy")
public class MachineProxy extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableField(value = "host_ip")
    private String hostIp;

    @TableField(value = "ssh_port")
    private String sshPort;

    /**
     * 代理类型
     */
    @TableField(exist = false)
    private MachineProxyType proxyType;

    @TableField(value = "proxy_type_code")
    private int proxyTypeCode;

    /**
     * 代理版本
     */
    @TableField(value = "version")
    private String version;

    /**
     * 代理状态 (online, offline, installing, updating, error)
     */
    @TableField(exist = false)
    private MachineProxyStatus status;

    @TableField(value = "status_code")
    private int statusCode;

    @TableField(value = "username")
    private String username;

    /**
     * 最后心跳时间
     */
    private Date lastHeartbeatTime;

    @TableField(value = "password")
    private String password;
    /**
     * 描述信息
     */
    @TableField(value = "description")
    private String description;


}
